<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Historial</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
//include "../../class.nroenletraver2.php";
include "../../general.php";
include "../../token.php";

//ver errores
/*
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
*/


//$rep=$_GET["rep"];
//$tipo=$_GET["tipo"];

//index.php?cosRecordKey=7&cosObjectKey=203138&user=Luigi&token=123456
$cod_historico = $_GET["cosRecordKey"];
$cod_modulo = $_GET["cosObjectKey"];
//$usuario = $_GET["user"];

$actualiza = $_GET["actualiza"];

$reemplaza = $_GET["reemplaza"];
$verifica = $_GET["verifica"];
$verifica_corr = $_GET["verifica_corr"];
$verifica_auto = $_GET["verifica_auto"];
$verifica_notaventa = $_GET["verifica_notaventa"];
$correlativo_siguiente = $_GET["correlativo_siguiente"];
$cod_nota_reemp = $_GET["cod_nota_reemp"];
//$n_decimales = 6;

//si el modulo es de fiscal year 203010, hacer el arreglo de correlativos  

if($cod_modulo == 203010 && $actualiza == 1){ //if 203010
    //año fiscal
    $resultfis = mysqli_query($link, "SELECT fldYear AS ano, codMonth AS mes, fldSequence AS secuencia
    FROM actFiscalMonth
    WHERE 
    codFiscalYear = '$cod_historico';");

    $ma_fis = array();
    $f = 1;
    while ($row = mysqli_fetch_array($resultfis)) {
        $ma_fis [$f][1] = $row['ano'];
        if($row['mes'] < 10){
            $ma_fis [$f][2] = '0'.$row['mes'];
        } else {
            $ma_fis [$f][2] = $row['mes'];
        }
        $ma_fis [$f][3] = $row['secuencia'];
        $f++;
    }
    mysqli_free_result($resultfis);
    $fin_f = $f - 1;

    for($i = 1; $i <= $fin_f; $i++) { //for
        $tra_num = $ma_fis [$i][1].$ma_fis [$i][2];
        $ano = $ma_fis [$i][1];
        $mes = (int)$ma_fis [$i][2]; //convierto en entero para eliminar el cero que le puse delante
        $sec = $ma_fis [$i][3];
        $sql = 'SELECT SUBSTRING(MAX(fldTransactionNumber), -7, 13) AS ultimo
        FROM actAccountEntry 
        WHERE
        fldTransactionNumber LIKE "'.$tra_num.'%" AND 
        SUBSTRING(fldTransactionNumber, -7, 13) <= 9999;';
        //echo $sql.'<br>';
        $resultsec = mysqli_query($link, $sql);
        while ($row = mysqli_fetch_array($resultsec)) {
            $ultimo = (int)$row['ultimo'] + 1; //convierto en entero para eliminar ceros a la izquierda y sumo 1 para guardar el siguiente correlativo en la tabla
            //verificar que ultimo sea mayor a la secuencia actual para actualizar
            if($ultimo > $sec){//if sec
                $sql2 = "UPDATE actFiscalMonth SET fldSequence = '$ultimo' 
                WHERE 
                codFiscalYear = '$cod_historico' AND 
                fldYear = '$ano' AND 
                codMonth = '$mes'";
                $resultup = mysqli_query($link, $sql2);
                mysqli_free_result($resultup);
            }//fin if sec
        }
        mysqli_free_result($resultsec);
    }
}//fin if 203010

//si el modulo es nota de venta 203099, mostrar reemplazar nota

if($cod_modulo == 203099){ //if 203099
    //verificar el tipo de usuario 3 es normal (no ve la opcion de reemplazar nota)
    $resultuser = mysqli_query($link, "select pkyUser as cod_user, codType as cod_tipo 
    from accUser
    where fldLogin = '$usuario' and
    sysEnabled = 1 and sysAuthorized = 1;");
            
    while ($row = mysqli_fetch_array($resultuser)) {
        $cod_usuario = $row['cod_user'];
        $cod_tipo_usuario = $row['cod_tipo'];
    }
    mysqli_free_result($resultuser);

    if($verifica == 1) { //if verifica
        
        $mensaje_verifica = '';
        //verificar si la nota de venta ya fue hecha
        $resultver = mysqli_query($link, "SELECT pkySalesLedger AS cod_fac_ver, cosComponentKey AS cod_notaventa_ver
        FROM 
        txsSalesLedger 
        WHERE 
        fldNumber = '$verifica_corr' AND 
        fldAuthorization = '$verifica_auto';");
        
        while ($row = mysqli_fetch_array($resultver)) {
            $cod_fac_ver = $row['cod_fac_ver'];
            $cod_notaventa_ver = $row['cod_notaventa_ver'];
            $nota_hecha = 1;
        }
        mysqli_free_result($resultver);

        //si la nota está hecha
        if($nota_hecha == 1) { //if hecha

            //poner los datos de nota de venta y factura que reemplazan
            $result_re = mysqli_query($link, "UPDATE slsSalesNoteRedo SET codSalesNoteRedo = '$cod_notaventa_ver', codInvoiceRedo = '$cod_fac_ver', fldIsDo = '1' 
            WHERE pkySalesNoteRedo = '$cod_nota_reemp';");

            if($result_re){ //if re

                //poner el correlativo correspondiente
                $result_corr = mysqli_query($link, "UPDATE txsAuthorizationControl SET fldNextNumber = '$correlativo_siguiente' 
                WHERE fldAuthorization = '$verifica_auto';");

                if($result_corr){ //if corr
                    $mensaje_verifica = ' Y el correlativo está en '.$correlativo_siguiente.'.';
                } else {
                    $mensaje_error = 'Error al insertar correlativo '.mysqli_error($link);
                } //fin if corr

                $mensaje_verifica = 'La Nota de Venta código '.$verifica_notaventa.' fue reemplazada con la Nota de Venta código '.$cod_notaventa_ver.'.'.$mensaje_verifica;

            } else {
                $mensaje_error = 'Error al insertar datos en la tabla (slsSalesNoteRedo) '.mysqli_error($link);
            }//fin if re

        } else {
            
            $mensaje_error = 'La Nota de Venta código '.$verifica_notaventa.' todavía no fue reemplazada.';

        }//fin if hecha

    } //fin if verifica

    if($reemplaza == 1) { //if reemplaza
        
        $mensaje_error = ''; //guarda los mensajes de error

        //extraer datos de la nota de venta
        $resultnv = mysqli_query($link, "SELECT codInvoice AS cod_factura, fldNumber AS nro_factura, sysEnabled AS anula_nv
        FROM slsSalesNote 
        WHERE 
        pkySalesNote = '$cod_historico';");
                
        while ($row = mysqli_fetch_array($resultnv)) {
            $cod_factura = $row['cod_factura'];
            //$nro_factura = $row['nro_factura'];
            $anula_nv = $row['anula_nv'];
        }
        mysqli_free_result($resultnv);
        
        //extraer datos de la factura
        $resultfac = mysqli_query($link, "SELECT fldAuthorization AS autorizacion, fldNumber AS nro_factura, sysEnabled AS anula_fac  
        FROM txsSalesLedger 
        WHERE 
        pkySalesLedger = '$cod_factura';");
                
        while ($row = mysqli_fetch_array($resultfac)) {
            $autorizacion = $row['autorizacion'];
            $nro_factura = $row['nro_factura']; //numero correlativo actual (factura)
            $anula_fac = $row['anula_fac'];
        }
        mysqli_free_result($resultfac);

        //extraer datos de la dosificación
        $resultdos = mysqli_query($link, "SELECT b.pkyAuthorizationControl AS cod_autorizacion, a.fldActive AS activa_dos, b.fldNextNumber AS siguiente 
        FROM txsBillingSalesPlace a, txsAuthorizationControl b
        WHERE 
        a.codAuthorizationControl = b.pkyAuthorizationControl AND 
        b.fldAuthorization = '$autorizacion';");
                
        while ($row = mysqli_fetch_array($resultdos)) {
            $cod_autorizacion = $row['cod_autorizacion'];
            $activa_dos = $row['activa_dos']; 
            $siguiente = $row['siguiente']; //numero correlativo siguiente (factura)
        }
        mysqli_free_result($resultdos);

        //verificar si hay errores
        $hay_error = 0;
        if($anula_nv != 0){ //verificar que la nota de venta este anulada
            $mensaje_error = 'La Nota de Venta no está anulada, debe anularla primero para reemplazarla.';
            $hay_error = 1;
        }

        if($cod_factura == NULL && $hay_error == 0){ //verificar que no se haya reempazado la nota antes
            $mensaje_error = 'La Nota de Venta ya fué reemplazada, no puede reemplazarla nuevamente.';
            $hay_error = 1;
        }

        if($anula_fac != 0 && $hay_error == 0){ //verificar que la factura este anulada
            $mensaje_error = 'La Factura no está anulada, comuníquese con soporte.';
            $hay_error = 1;
        }

        if($activa_dos == 0 && $hay_error == 0){ //verificar que la dosificación esté activa
            $mensaje_error = 'La Dosificación no está activa, debe activarla primero en Asignación de Dosificación, para poder reemplazar la Nota de Venta.';
            $hay_error = 1;
        }

        //si no hay errores se hacen los querys
        if($hay_error == 0){ //hay error

            //poner null en la factura de la nota de venta
            $result_u1 = mysqli_query($link, "UPDATE slsSalesNote SET codInvoice = NULL 
            WHERE pkySalesNote = '$cod_historico';");
            
            if($result_u1){ //if u1
                //borrar la factura
                $result_u2 = mysqli_query($link, "DELETE FROM txsSalesLedger WHERE pkySalesLedger = '$cod_factura';");
                
                if($result_u2){ //if u2
                    //poner el correlativo para reemplazar
                    $result_u3 = mysqli_query($link, "UPDATE txsAuthorizationControl SET fldNextNumber = '$nro_factura' 
                    WHERE pkyAuthorizationControl = '$cod_autorizacion';");
                    
                    if($result_u3){ //if u3
                        //verificar si el correlativo de la nota a reemplazar es ultimo, si es así no dejar pendiente
                        if($nro_factura + 1 == $siguiente){
                            $es_ultima = 1;
                        } else {
                            $es_ultima = 0;
                        }
                        //insertar los datos en la tabla slsSalesNoteRedo
                        $result_u4 = mysqli_query($link, "INSERT INTO slsSalesNoteRedo (codSalesNote, fldDate, codInvoice, codAuthorizationControl, fldAuthorization, fldRedoNumber, fldNextNumber, fldIsDo) VALUES ('$cod_historico', '$fecha_hoy', '$cod_factura', '$cod_autorizacion', '$autorizacion', '$nro_factura', '$siguiente', '$es_ultima');");

                        if($result_u4){ //if u4
                            $reemp_ok = 1;
                        } else {
                            $mensaje_error = 'Error al insertar datos en la tabla (slsSalesNoteRedo) '.mysqli_error($link);
                        }//fin if u4

                    } else {
                        $mensaje_error = 'Error al insertar el correlativo '.mysqli_error($link);
                    } //fin if u3
                
                } else {
                    $mensaje_error = 'Error al borrar la Factura '.mysqli_error($link);
                } //fin if u2
            
            } else {
                $mensaje_error = 'Error al actualizar la Nota de Venta (codInvoice) '.mysqli_error($link);
            } //fin if u1

        } //fin if hay error

    } //fin if reemplaza

    //lista de notas por reemplazar
    $resultredo = mysqli_query($link, "SELECT a.pkySalesNoteRedo AS cod_redo, a.codSalesNote AS cod_notaventa, b.fldDate AS fecha_nv, b.fldNumber AS nro_doc, a.codInvoice AS cod_fac, a.codAuthorizationControl AS cod_auto, a.fldAuthorization AS autorizacion, c.fldDate AS fecha_ini_auto, c.fldEmissionDate AS fecha_fin_auto, a.fldRedoNumber AS nro_actual, a.fldNextNumber AS nro_siguiente, a.fldIsDo AS hecho, a.codSalesNoteRedo AS cod_notaventa_reemp, a.codInvoiceRedo AS cod_fac_reemp
    FROM 
    slsSalesNoteRedo a, slsSalesNote b, txsAuthorizationControl c
    WHERE 
    a.codSalesNote = b.pkySalesNote AND 
    a.codAuthorizationControl = c.pkyAuthorizationControl AND 
    a.fldIsDo = 0;");

    $mat_redo = array();
    $i = 1;
            
    while ($row = mysqli_fetch_array($resultredo)) {
        $mat_redo[$i][1] = $row['cod_redo'];
        $mat_redo[$i][2] = $row['cod_notaventa'];
        $mat_redo[$i][3] = $row['fecha_nv'];
        $mat_redo[$i][4] = $row['nro_doc'];
        $mat_redo[$i][5] = $row['cod_fac'];
        $mat_redo[$i][6] = $row['cod_auto'];
        $mat_redo[$i][7] = $row['autorizacion'];
        $mat_redo[$i][8] = $row['fecha_ini_auto'];
        $mat_redo[$i][9] = $row['fecha_fin_auto'];
        $mat_redo[$i][10] = $row['nro_actual'];
        $mat_redo[$i][11] = $row['nro_siguiente'];
        $mat_redo[$i][12] = $row['hecho'];
        $mat_redo[$i][13] = $row['cod_notaventa_reemp'];
        $mat_redo[$i][14] = $row['cod_fac_reemp'];
        $i++;
    }
    $fin_redo = $i - 1;
    mysqli_free_result($resultredo);

} //fin if 203009

?>
<body>

<?php
	
// Inicio impresion historico

$result3 = mysqli_query($link, "select a.pkyUserLog as codigo, a.fldDate as fecha, a.fldTime as hora, a.codUser as cod_usuario, b.fldLogin as usuario, a.cosActionKey as cod_accion, c.fldName as accion, a.cosObjectKey as cod_comp, concat(d.fldModuleName,' - ',d.fldName) as comp
from 
dbaUserLog a, accUser b, srvComponentAction c, srvComponent d
where 
a.cosRecordKey = '$cod_historico' and 
a.cosObjectKey = '$cod_modulo' and 
a.codSystemObjectType = 2 and 
a.codUser = b.pkyUser and 
a.cosActionKey = c.pkyComponentAction and 
a.cosObjectKey = d.pkyComponent 
order by fecha, hora;");
$ma_his = array();
$h = 1;
while ($row = mysqli_fetch_array($result3)) {
	$ma_his [$h][1] = $row['codigo'];
	$ma_his [$h][2] = $row['fecha'];
	$ma_his [$h][3] = $row['hora'];
	$ma_his [$h][4] = $row['cod_usuario'];
	$ma_his [$h][5] = $row['usuario'];
	$ma_his [$h][6] = $row['cod_accion'];
	$ma_his [$h][7] = $row['accion'];
	$ma_his [$h][8] = $row['cod_comp'];
	$ma_his [$h][9] = $row['comp'];
	$h++;
}
mysqli_free_result($result3);
$fin_h = $h - 1;

//$numero_filas = mysqli_num_rows($result3);
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table><br/>
<p><br /><center><font color="#000099" size="+1"><b>Historial del registro</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="50%"><b>Cod. Reg.: </b><?php echo $cod_historico; ?> 
        <?php if($cod_modulo == 203010){ //if mod //nro. de transacción contabilidad ?>
            &nbsp;&nbsp;
            <a href="../../ModuleServer/VoucherRecordLog/index.php?cosRecordKey=<?php echo $cod_historico; ?>&cosObjectKey=<?php echo $cod_modulo; ?>&actualiza=1&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Actualiza Nro. Transacción Asientos"><img src="../../Images/list.png"></a>
            <?php if($actualiza == 1){ //if act ?>
                <img src="../../Images/check.png" alt="Actualizado">
            <?php } //fin if act ?>
        <?php } //fin if mod ?>

        <?php if($cod_modulo == 203099 && $cod_tipo_usuario != 3 && $cod_usuario == 2){ //if mod2 //reemplazo nota de venta ?>
            &nbsp;&nbsp;
            <a href="../../ModuleServer/VoucherRecordLog/index.php?cosRecordKey=<?php echo $cod_historico; ?>&cosObjectKey=<?php echo $cod_modulo; ?>&reemplaza=1&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Reemplazar Nota de Venta"><img src="../../Images/redo.png"></a>
            <?php if($reemp_ok == 1){ //if act ?>
                <img src="../../Images/check.png" alt="Listo para Reemplazar">
            <?php } //fin if act ?>
        <?php } //fin if mod2 ?>
        </TD>
        <TD width="50%"><b>M&oacute;dulo - Componente: </b><?php echo $ma_his [1][9]; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $cod_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $cod_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<!--detalle historial -->
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Fecha</b></TD>
    <TD align="center"><b>Hora</b></TD>
    <TD align="center"><b>Usuario</b></TD>
    <TD align="center"><b>Acci&oacute;n</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
	$suma_reg = 0;
		
	for($i = 1; $i <= $fin_h; $i++) { //for
		
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $ma_his [$i][1]);//cod historico
		} else {
		printf("<tr><td align='center'>%s</td>", $ma_his [$i][1]);//cod historico
		} //cierra if color
		printf("<td align='right'>%s</td>", $ma_his [$i][2]);//fecha reg
		printf("<td align='right'>%s</td>", $ma_his [$i][3]);//hora reg
		printf("<td align='left'>%s</td>", $ma_his [$i][5]);//usuario
		printf("<td align='left'>%s</td></tr>", $ma_his [$i][7]);//accion
				
		$suma_reg++;
		$color++;
	}//fin for
	
	?>
	<tr BGCOLOR='#ffcccc'>
    <td colspan="4"><b>Total acciones</b></td>
    <td align="right"><b><?php echo $suma_reg; ?></b></td>
    </tr>
</tbody>
</table>

<!-- Sección reemplazo de nota de venta 203099 -->

<?php if($mensaje_error != ''){ ?>
<p><br /><center><font color="#FF0000" size="+1"><b><?php echo $mensaje_error; ?></b></font></center></p>
<?php } ?>

<?php if($mensaje_verifica != ''){ ?>
<p><br /><center><font color="#0000FF" size="+1"><b><?php echo $mensaje_verifica; ?></b></font></center></p>
<?php } ?>

<?php if($cod_modulo == 203099 && $cod_tipo_usuario != 3 && $fin_redo > 0){ ?>
    <p><br /><center><font color="#000099" size="+1"><b>Lista de Notas de Venta Pendientes</b></font></center></p>
    <table border="1" cellpadding="2" align="center" width="100%">
        <thead>
        <TR> 
        <TD align="center"><b>Cod.</b></TD>
        <TD align="center"><b>Cod. N.V.</b></TD>
        <TD align="center"><b>Fecha N.V.</b></TD>
        <TD align="center"><b>Nro. Doc. N.V.</b></TD>
        <TD align="center"><b>Cod. Fac.</b></TD>
        <TD align="center"><b>Cod. Auto.</b></TD>
        <TD align="center"><b>Autorización</b></TD>
        <TD align="center"><b>Fecha Ini.</b></TD>
        <TD align="center"><b>Fecha Fin.</b></TD>
        <TD align="center"><b>Corr. Actual</b></TD>
        <TD align="center"><b>Corr. Sig.</b></TD>
        <TD align="center"><b>Cod. N.V. Reemp.</b></TD>
        <TD align="center"><b>Cod. Fac. Reemp.</b></TD>
        <TD align="center"><b>¿Realizado?</b></TD>
        </TR>
        </thead>
        <tbody class="marcafila">
        <?php
        $color = 2;
        $suma_reg = 0;
            
        for($i = 1; $i <= $fin_redo; $i++) { //for
            $codigo_nota_venta = $mat_redo [$i][2];
            $verifica_corr = $mat_redo [$i][10];
            $verifica_auto = $mat_redo [$i][7];
            $cod_nota_reemp = $mat_redo [$i][1];
            $correlativo_siguiente = $mat_redo [$i][11];
            if($color % 2 == 0) { //if color
                printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $mat_redo [$i][1]);//cod redo
            } else {
                printf("<tr><td align='center'>%s</td>", $mat_redo [$i][1]);//cod redo
            } //cierra if color
            printf("<td align='center'><a href='../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=$codigo_nota_venta&user=$usuario&token=$token' title='Nota de Venta'>%s</a></td>", $mat_redo [$i][2]);//cod nota de venta
            printf("<td align='center'>%s</td>", $mat_redo [$i][3]);//fecha nota de venta
            printf("<td align='center'>%s</td>", $mat_redo [$i][4]);//nro. doc. nota de venta
            printf("<td align='center'>%s</td>", $mat_redo [$i][5]);//cod factura
            printf("<td align='center'>%s</td>", $mat_redo [$i][6]);//cod autorizacion
            printf("<td align='center'>%s</td>", $mat_redo [$i][7]);//nro. autorizacion
            printf("<td align='center'>%s</td>", $mat_redo [$i][8]);//fecha inicio auto
            printf("<td align='center'>%s</td>", $mat_redo [$i][9]);//fecha fin auto
            printf("<td align='center'>%s</td>", $mat_redo [$i][10]);//nro actual
            printf("<td align='center'>%s</td>", $mat_redo [$i][11]);//nro siguiente
            printf("<td align='center'>%s</td>", $mat_redo [$i][13]);//cod nota de venta reemplazo
            printf("<td align='center'>%s</td>", $mat_redo [$i][14]);//cod factura reemplazo
            printf("<td align='center'><a href='../../ModuleServer/VoucherRecordLog/index.php?cosRecordKey=$cod_historico&cosObjectKey=$cod_modulo&verifica=1&verifica_corr=$verifica_corr&verifica_auto=$verifica_auto&correlativo_siguiente=$correlativo_siguiente&verifica_notaventa=$codigo_nota_venta&cod_nota_reemp=$cod_nota_reemp&user=$usuario&token=$token' title='Verifica si la Nota de Venta fue reemplazada'>%s</a></td></tr>", 'Verificar');//¿realizado?
                    
            $suma_reg++;
            $color++;
        }//fin for
        
        ?>
        <tr BGCOLOR='#ffcccc'>
        <td colspan="13"><b>Total pendientes</b></td>
        <td align="right"><b><?php echo $suma_reg; ?></b></td>
        </tr>
        </tbody>
    </table>

<?php } ?>

</body>
</html>
